LoggedTaskAttempt.SplitVectorKind (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.tools.rumen, class: LoggedTaskAttempt, enum: SplitVectorKind

Package org.apache.hadoop.tools.rumen

# Enum Class LoggedTaskAttempt.SplitVectorKind

java.lang.Object
java.lang.Enum<LoggedTaskAttempt.SplitVectorKind>
org.apache.hadoop.tools.rumen.LoggedTaskAttempt.SplitVectorKind

All Implemented Interfaces:
  `Serializable`, `Comparable<LoggedTaskAttempt.SplitVectorKind>`, `Constable`

Enclosing class:
  org.apache.hadoop.tools.rumen.LoggedTaskAttempt

public static enum LoggedTaskAttempt.SplitVectorKind extends Enum<LoggedTaskAttempt.SplitVectorKind>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CPU_USAGE`
  `PHYSICAL_MEMORY_KBYTES`
  `VIRTUAL_MEMORY_KBYTES`
  `WALLCLOCK_TIME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Integer>`
  `get(List<List<Integer>> listSplits)`
  `abstract List<Integer>`
  `get(org.apache.hadoop.tools.rumen.LoggedTaskAttempt attempt)`
  `static List<List<Integer>>`
  `getNullSplitsVector()`
  `void`
  `set(List<List<Integer>> listSplits, List<Integer> newValue)`
  `abstract void`
  `set(org.apache.hadoop.tools.rumen.LoggedTaskAttempt attempt, List<Integer> newValue)`
  `static LoggedTaskAttempt.SplitVectorKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LoggedTaskAttempt.SplitVectorKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WALLCLOCK_TIME

    public static final LoggedTaskAttempt.SplitVectorKind WALLCLOCK_TIME

  - ### CPU_USAGE

    public static final LoggedTaskAttempt.SplitVectorKind CPU_USAGE

  - ### VIRTUAL_MEMORY_KBYTES

    public static final LoggedTaskAttempt.SplitVectorKind VIRTUAL_MEMORY_KBYTES

  - ### PHYSICAL_MEMORY_KBYTES

    public static final LoggedTaskAttempt.SplitVectorKind PHYSICAL_MEMORY_KBYTES

- ## Method Details

  - ### values

    public static LoggedTaskAttempt.SplitVectorKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LoggedTaskAttempt.SplitVectorKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### get

    public abstract List<Integer> get(org.apache.hadoop.tools.rumen.LoggedTaskAttempt attempt)

  - ### set

    public abstract void set(org.apache.hadoop.tools.rumen.LoggedTaskAttempt attempt, List<Integer> newValue)

  - ### get

    public List<Integer> get(List<List<Integer>> listSplits)

  - ### set

    public void set(List<List<Integer>> listSplits, List<Integer> newValue)

  - ### getNullSplitsVector

    public static List<List<Integer>> getNullSplitsVector()